Qt 5.9 | Qt Quick | C++ Classes | QSGBasicGeometryNode

Qt 5.9.9 Reference Documentation

# QSGBasicGeometryNode Class

The QSGBasicGeometryNode class serves as a baseclass for geometry based nodes. More...

Header: | #include <QSGBasicGeometryNode>
qmake: | QT += quick
Inherits: | QSGNode
Inherited By: | QSGClipNode and QSGGeometryNode

- List of all members, including inherited members

## Public Functions

| ~QSGBasicGeometryNode()
const QSGGeometry * | geometry() const
QSGGeometry * | geometry()
void | setGeometry(QSGGeometry *geometry)

- 20 public functions inherited from QSGNode

## Detailed Description

The QSGBasicGeometryNode class serves as a baseclass for geometry based nodes.

The QSGBasicGeometryNode class should not be used by itself. It is only encapsulates shared functionality between the QSGGeometryNode and QSGClipNode classes.

Note: All classes with QSG prefix should be used solely on the scene graph's rendering thread. See Scene Graph and Rendering for more information.

## Member Function Documentation

### QSGBasicGeometryNode::~QSGBasicGeometryNode()

Deletes this QSGBasicGeometryNode.

If the node has the flag QSGNode::OwnsGeometry set, it will also delete the geometry object it is pointing to. This flag is not set by default.

### const QSGGeometry *QSGBasicGeometryNode::geometry() const

Returns this node's geometry.

The geometry is null by default.

See also setGeometry().

### QSGGeometry *QSGBasicGeometryNode::geometry()

Returns this node's geometry.

The geometry is null by default.

### void QSGBasicGeometryNode::setGeometry(QSGGeometry *geometry)

Sets the geometry of this node to geometry.

If the node has the flag QSGNode::OwnsGeometry set, it will also delete the geometry object it is pointing to. This flag is not set by default.

If the geometry is changed without calling setGeometry() again, the user must also mark the geometry as dirty using QSGNode::markDirty().

See also geometry() and markDirty().